Index: src/UIElements/Views/Qt4/MoleculeList/QtMoleculeItem.cpp
===================================================================
--- src/UIElements/Views/Qt4/MoleculeList/QtMoleculeItem.cpp	(revision 7993fe252cb5b1325c70e077e87cf14aefe1b912)
+++ src/UIElements/Views/Qt4/MoleculeList/QtMoleculeItem.cpp	(revision 24eb6b9e8f3b4ff8f95f2e26c0a57c2296d904de)
@@ -40,8 +40,6 @@
 
 QtMoleculeItem::QtMoleculeItem(
-    QtObservedMolecule::ptr &_ObservedMolecule,
-     const enum MoveTypes _movetype) :
+    QtObservedMolecule::ptr &_ObservedMolecule) :
   ObservedMolecule(_ObservedMolecule),
-  movetype(_movetype),
   dirty(true)
 {
Index: src/UIElements/Views/Qt4/MoleculeList/QtMoleculeItem.hpp
===================================================================
--- src/UIElements/Views/Qt4/MoleculeList/QtMoleculeItem.hpp	(revision 7993fe252cb5b1325c70e077e87cf14aefe1b912)
+++ src/UIElements/Views/Qt4/MoleculeList/QtMoleculeItem.hpp	(revision 24eb6b9e8f3b4ff8f95f2e26c0a57c2296d904de)
@@ -38,16 +38,9 @@
 {
 public:
-  //!> enum states whether an item's formula changed or not
-  enum MoveTypes {
-    NeedsMove,
-    DoesNotMove
-  };
-
   //!> enumerates all different item types, coinciding with column in QtMoleculeList
   enum COLUMNTYPES {NAME,VISIBILITY,ATOMCOUNT,FORMULA,OCCURRENCE,COLUMNTYPES_MAX};
 
   QtMoleculeItem(
-      QtObservedMolecule::ptr &_ObservedMolecule,
-      const enum MoveTypes _movetype);
+      QtObservedMolecule::ptr &_ObservedMolecule);
   virtual ~QtMoleculeItem();
 
@@ -87,7 +80,4 @@
 
 private:
-  //!> move type for this specific item, set this when implementing
-  const enum MoveTypes movetype;
-
   //!> states that this item needs to be updated
   bool dirty;
Index: src/UIElements/Views/Qt4/MoleculeList/QtMoleculeList.cpp
===================================================================
--- src/UIElements/Views/Qt4/MoleculeList/QtMoleculeList.cpp	(revision 7993fe252cb5b1325c70e077e87cf14aefe1b912)
+++ src/UIElements/Views/Qt4/MoleculeList/QtMoleculeList.cpp	(revision 24eb6b9e8f3b4ff8f95f2e26c0a57c2296d904de)
@@ -641,23 +641,4 @@
 
   return molecule_formula;
-}
-
-void QtMoleculeList::informDirtyState(
-    const moleculeId_t _id,
-    const QtMoleculeItem::COLUMNTYPES _type,
-    const QtMoleculeItem::MoveTypes _movetype)
-{
-  listAccessing_mutex.lock();
-  dirtyMolItems.insert( std::make_pair(_id, _type) );
-  listAccessing_mutex.unlock();
-
-  if (_movetype == QtMoleculeItem::NeedsMove) {
-    // we have to convert whatever item raised the dirty signal to the first
-    // item in the row as otherwise multiple items in the row are selected
-    // as to be moved, i.e. the same row is moved multiple times
-    listAccessing_mutex.lock();
-    toBeMovedItems.insert(_id);
-    listAccessing_mutex.unlock();
-  }
 }
 
Index: src/UIElements/Views/Qt4/MoleculeList/QtMoleculeList.hpp
===================================================================
--- src/UIElements/Views/Qt4/MoleculeList/QtMoleculeList.hpp	(revision 7993fe252cb5b1325c70e077e87cf14aefe1b912)
+++ src/UIElements/Views/Qt4/MoleculeList/QtMoleculeList.hpp	(revision 24eb6b9e8f3b4ff8f95f2e26c0a57c2296d904de)
@@ -111,9 +111,4 @@
   void setVisibilityForGroupItem(QStandardItem* _item);
 
-  void informDirtyState(
-      const moleculeId_t _id,
-      const QtMoleculeItem::COLUMNTYPES _type,
-      const QtMoleculeItem::MoveTypes _movetype);
-
   void updateItemStates();
 
Index: src/UIElements/Views/Qt4/MoleculeList/SpecificItems/QtMoleculeItem_atomcount.hpp
===================================================================
--- src/UIElements/Views/Qt4/MoleculeList/SpecificItems/QtMoleculeItem_atomcount.hpp	(revision 7993fe252cb5b1325c70e077e87cf14aefe1b912)
+++ src/UIElements/Views/Qt4/MoleculeList/SpecificItems/QtMoleculeItem_atomcount.hpp	(revision 24eb6b9e8f3b4ff8f95f2e26c0a57c2296d904de)
@@ -28,5 +28,5 @@
   QtMoleculeItem_atomcount(
       QtObservedMolecule::ptr &_ObservedMolecule) :
-        QtMoleculeItem(_ObservedMolecule, QtMoleculeItem::NeedsMove)
+        QtMoleculeItem(_ObservedMolecule)
   {
     // cannot call pure virtual function in QtMoleculeItem's cstor
Index: src/UIElements/Views/Qt4/MoleculeList/SpecificItems/QtMoleculeItem_formula.hpp
===================================================================
--- src/UIElements/Views/Qt4/MoleculeList/SpecificItems/QtMoleculeItem_formula.hpp	(revision 7993fe252cb5b1325c70e077e87cf14aefe1b912)
+++ src/UIElements/Views/Qt4/MoleculeList/SpecificItems/QtMoleculeItem_formula.hpp	(revision 24eb6b9e8f3b4ff8f95f2e26c0a57c2296d904de)
@@ -30,5 +30,5 @@
   QtMoleculeItem_formula(
       QtObservedMolecule::ptr &_ObservedMolecule) :
-        QtMoleculeItem(_ObservedMolecule, QtMoleculeItem::NeedsMove)
+        QtMoleculeItem(_ObservedMolecule)
   {
     // cannot call pure virtual function in QtMoleculeItem's cstor
Index: src/UIElements/Views/Qt4/MoleculeList/SpecificItems/QtMoleculeItem_name.hpp
===================================================================
--- src/UIElements/Views/Qt4/MoleculeList/SpecificItems/QtMoleculeItem_name.hpp	(revision 7993fe252cb5b1325c70e077e87cf14aefe1b912)
+++ src/UIElements/Views/Qt4/MoleculeList/SpecificItems/QtMoleculeItem_name.hpp	(revision 24eb6b9e8f3b4ff8f95f2e26c0a57c2296d904de)
@@ -28,5 +28,5 @@
   QtMoleculeItem_name(
       QtObservedMolecule::ptr &_ObservedMolecule) :
-        QtMoleculeItem(_ObservedMolecule, QtMoleculeItem::DoesNotMove)
+        QtMoleculeItem(_ObservedMolecule)
   {
     // cannot call pure virtual function in QtMoleculeItem's cstor
Index: src/UIElements/Views/Qt4/MoleculeList/SpecificItems/QtMoleculeItem_occurrence.hpp
===================================================================
--- src/UIElements/Views/Qt4/MoleculeList/SpecificItems/QtMoleculeItem_occurrence.hpp	(revision 7993fe252cb5b1325c70e077e87cf14aefe1b912)
+++ src/UIElements/Views/Qt4/MoleculeList/SpecificItems/QtMoleculeItem_occurrence.hpp	(revision 24eb6b9e8f3b4ff8f95f2e26c0a57c2296d904de)
@@ -28,5 +28,5 @@
   QtMoleculeItem_occurrence(
       QtObservedMolecule::ptr &_ObservedMolecule) :
-        QtMoleculeItem(_ObservedMolecule, QtMoleculeItem::DoesNotMove)
+        QtMoleculeItem(_ObservedMolecule)
   {
     // cannot call pure virtual function in QtMoleculeItem's cstor
Index: src/UIElements/Views/Qt4/MoleculeList/SpecificItems/QtMoleculeItem_visibility.hpp
===================================================================
--- src/UIElements/Views/Qt4/MoleculeList/SpecificItems/QtMoleculeItem_visibility.hpp	(revision 7993fe252cb5b1325c70e077e87cf14aefe1b912)
+++ src/UIElements/Views/Qt4/MoleculeList/SpecificItems/QtMoleculeItem_visibility.hpp	(revision 24eb6b9e8f3b4ff8f95f2e26c0a57c2296d904de)
@@ -28,5 +28,5 @@
   QtMoleculeItem_visibility(
       QtObservedMolecule::ptr &_ObservedMolecule) :
-        QtMoleculeItem(_ObservedMolecule, QtMoleculeItem::DoesNotMove)
+        QtMoleculeItem(_ObservedMolecule)
   {
     setFlags(flags() | Qt::ItemIsUserCheckable);
